Bug 1830545

Summary: After upgrade to Fedora 32, offlineimap GSSAPI authentication no longer works
Product: [Fedora] Fedora Reporter: Jan Pazdziora <jpazdziora>
Component: offlineimapAssignee: Dodji Seketeli <dodji>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: cfergeau, choeger, dodji, i, jpazdziora, jwakely, notting, pbonzini, sguelton
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: offlineimap-7.3.3-2.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-13 14:27:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Pazdziora 2020-05-02 16:50:41 UTC
Description of problem:

After upgrade to Fedora 32, offlineimap GSSAPI authentication no longer works with the same .offlineimaprc that worked fine on Fedora 31. Even forcing

auth_mechanisms = GSSAPI

does not help.

Version-Release number of selected component (if applicable):

offlineimap-7.2.4-6.fc32.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Run offlineimap.

Actual results:

WARNING:root:Using old interface name, consider using one of quiet, ttyui, machineui, syslog, basic, blinkenlights
OfflineIMAP 7.2.4
  Licensed under the GNU GPL v2 or any later version (with an OpenSSL exception)
INFO:OfflineImap:OfflineIMAP 7.2.4
  Licensed under the GNU GPL v2 or any later version (with an OpenSSL exception)
imaplib2 v2.57 (bundled), Python v2.7.18, OpenSSL 1.1.1g FIPS  21 Apr 2020
INFO:OfflineImap:imaplib2 v2.57 (bundled), Python v2.7.18, OpenSSL 1.1.1g FIPS  21 Apr 2020
Account sync ThereToHere:
 *** Processing account ThereToHere
INFO:OfflineImap:*** Processing account ThereToHere
 Establishing connection to server.there.com:993 (There)
INFO:OfflineImap:Establishing connection to server.there.com:993 (There)
 ERROR: While attempting to sync account 'ThereToHere'
  command LIST illegal in state NONAUTH, only allowed in states AUTH, SELECTED
ERROR:OfflineImap:ERROR: While attempting to sync account 'ThereToHere'
  command LIST illegal in state NONAUTH, only allowed in states AUTH, SELECTED
 *** Finished account 'ThereToHere' in 0:01
INFO:OfflineImap:*** Finished account 'ThereToHere' in 0:01
ERROR: Exceptions occurred during the run!
WARNING:OfflineImap:ERROR: Exceptions occurred during the run!
ERROR: While attempting to sync account 'ThereToHere'
  command LIST illegal in state NONAUTH, only allowed in states AUTH, SELECTED
WARNING:OfflineImap:ERROR: While attempting to sync account 'ThereToHere'
  command LIST illegal in state NONAUTH, only allowed in states AUTH, SELECTED

Traceback:
  File "/usr/lib/python2.7/site-packages/offlineimap/accounts.py", line 293, in syncrunner
    self.__sync()
  File "/usr/lib/python2.7/site-packages/offlineimap/accounts.py", line 369, in __sync
    remoterepos.getfolders()
  File "/usr/lib/python2.7/site-packages/offlineimap/repository/IMAP.py", line 452, in getfolders
    imapobj = self.imapserver.acquireconnection()
  File "/usr/lib/python2.7/site-packages/offlineimap/imapserver.py", line 605, in acquireconnection
    listres = imapobj.list(self.reference, '""')[1]
  File "/usr/lib/python2.7/site-packages/offlineimap/bundled_imaplib2.py", line 948, in list
    return self._simple_command(name, directory, pattern, **kw)
  File "/usr/lib/python2.7/site-packages/offlineimap/bundled_imaplib2.py", line 1749, in _simple_command
    return self._command_complete(self._command(name, *args), kw)
  File "/usr/lib/python2.7/site-packages/offlineimap/bundled_imaplib2.py", line 1409, in _command
    % (name, self.state, ', '.join(Commands[name][CMD_VAL_STATES])))

WARNING:OfflineImap:
Traceback:
  File "/usr/lib/python2.7/site-packages/offlineimap/accounts.py", line 293, in syncrunner
    self.__sync()
  File "/usr/lib/python2.7/site-packages/offlineimap/accounts.py", line 369, in __sync
    remoterepos.getfolders()
  File "/usr/lib/python2.7/site-packages/offlineimap/repository/IMAP.py", line 452, in getfolders
    imapobj = self.imapserver.acquireconnection()
  File "/usr/lib/python2.7/site-packages/offlineimap/imapserver.py", line 605, in acquireconnection
    listres = imapobj.list(self.reference, '""')[1]
  File "/usr/lib/python2.7/site-packages/offlineimap/bundled_imaplib2.py", line 948, in list
    return self._simple_command(name, directory, pattern, **kw)
  File "/usr/lib/python2.7/site-packages/offlineimap/bundled_imaplib2.py", line 1749, in _simple_command
    return self._command_complete(self._command(name, *args), kw)
  File "/usr/lib/python2.7/site-packages/offlineimap/bundled_imaplib2.py", line 1409, in _command
    % (name, self.state, ', '.join(Commands[name][CMD_VAL_STATES])))

Expected results:

No error.

Additional info:

Comment 1 serge_sans_paille 2020-05-04 08:47:43 UTC
Jan, can you try this build and tell us if it works correctly? https://koji.fedoraproject.org/koji/taskinfo?taskID=44078536

Comment 2 Jan Pazdziora 2020-05-04 09:29:59 UTC
It does not, I get the same error.

Comment 3 serge_sans_paille 2020-05-05 06:47:29 UTC
What about https://koji.fedoraproject.org/koji/taskinfo?taskID=44098927 ?

Comment 4 Jan Pazdziora 2020-05-05 06:59:57 UTC
This build brings the GSSAPI functionality back. Thank you!

Comment 5 serge_sans_paille 2020-05-05 14:53:40 UTC
Fixed by offlineimap-7.3.3-2.fc33 then :-)

Comment 6 Jonathan Wakely 2020-07-21 15:25:20 UTC
The bug is in F32, can it be fixed there too please?

Comment 7 Jonathan Wakely 2020-07-21 19:07:10 UTC
As a workaround you can install the rawhide package on f32:

dnf install fedora-repos-rawhide
dnf --disablerepo=\* --enablerepo=rawhide --releasever=33 update offlineimap

Comment 8 Jan Pazdziora 2020-08-03 12:03:16 UTC
Reopening -- please do the rebuild and bodhi update for Fedora 32 as well so that Fedora 32 users don't hit the issue out of box and don't have to do the workaround steps.

Comment 9 Fedora Update System 2020-08-06 09:35:23 UTC
FEDORA-2020-8952592585 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8952592585

Comment 10 Fedora Update System 2020-08-07 01:03:38 UTC
FEDORA-2020-8952592585 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8952592585`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8952592585

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-13 14:27:11 UTC
FEDORA-2020-8952592585 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.